Package Details: jupyterlab 0.34.10-1

Git Clone URL: https://aur.archlinux.org/jupyterlab.git (read-only)
Package Base: jupyterlab
Description: JupyterLab computational environment
Upstream URL: https://github.com/jupyterlab/jupyterlab
Licenses: custom
Submitter: arojas
Maintainer: xantares
Last Packager: xantares
Votes: 12
Popularity: 2.121250
First Submitted: 2017-01-20 07:36
Last Updated: 2018-09-16 08:54

Latest Comments

1 2 3 Next › Last »

xantares commented on 2018-09-05 05:25

You can try to propose it upstream first, they have frequent releases and are very responsive, if your PR is accepted I'll install it properly in the package.

xan.

bluerider commented on 2018-09-05 03:15

I've created a systemd service file for jupyter-lab which works well. Can you include it as part of the package so users can launch jupyter-lab instances with systemd? name of the service is : jupter-lab@.service https://pastebin.com/raw/NFCC8SCa

lukaszimmermann commented on 2018-08-27 10:55

I'd also be happy to help with the updates.

Jake commented on 2018-08-25 17:30

Yes, version 0.34.0 onward works, latest is 0.34.2 now. Thanks rvlobato!

New versions get released pretty fast currently, i am happy to help if you add me as co-maintainer @xantares

rvlobato commented on 2018-08-18 15:05

The latest version 0.34.0 is working with jupyterlab_launcher 0.13.1

Jake commented on 2018-08-18 11:30

Latest version is 0.33.12 now. And after updating jupyterlab_launcher to 0.13.1 i get this error:

Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 573, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 891, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 782, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (jupyterlab-launcher 0.13.1 (/usr/lib/python3.7/site-packages), Requirement.parse('jupyterlab_launcher<0.12.0,>=0.11.2'), {'jupyterlab'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/jupyter-lab", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3098, in <module>
    @_call_aside
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3082, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3111, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 575, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 588, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 777, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'jupyterlab_launcher<0.12.0,>=0.11.2' distribution was not found and is required by jupyterlab

Downgrading jupyterlab_launcher to 0.11.2 makes it work again, seems the only version supported by jupyterlab currently?

gdonval commented on 2018-08-13 10:17

pkgver=0.33.10 sha256sums=('69b1f9a2cfe802be75b00ef2f8511cb6e92a32e8ab784f6a4a9ca95b887ac704')

Jake commented on 2018-08-06 23:15

xantares, please change the symlink to python3.7, since this is now the current python version on Arch.

emanuelfontelles commented on 2018-08-03 02:08

I had some problems to install jupyterlab extenisons. @mdeff your answer about the permission seems to be ok, because we don't have permissions on '/usr/lib/python3.6/site-packages/jupyterlab/staging/package.json' and create a custom directory to run applications can solve the problem, but I my case not. The problem seems to be with nodejs version, we are using nodejs10 but jupyterlab doesn't work perfectly with this version. The solution is downgrade to [https://www.archlinux.org/packages/community/x86_64/nodejs-lts-carbon/ nodejs8] and everything will be ok to install jupyterlab extensions.

AstroProfundis commented on 2018-08-02 12:02

nodejs should be added as makedepends, that fixes the missing '/usr/lib/python3.6/site-packages/jupyterlab/staging/package.json' issue.